Subject: [manet] Help with IFq in ns-2!

From: Leon Martin <[email-masked]>
Date: Wed, 9 Mar 2005 13:25:52 -0800 (PST)

Hi,

I got a question about the buffer size (at the network
layer) of wireless nodes in ns2 simulations.

According to the ns2 manual, there is an IFq between
the LL layer and the MAC layer. Is IFq the buffer of
the router (node)? If it is, then how to set the size
of it? (The line in the Tcl configuration 

"set val(ifqlen)   50" 

has no effect at all. This is corroborated by an early
message at
http://www.isi.edu/nsnam/archive/ns-users/webarch/2000/msg01947.html)

In aodv.h(cc), there is a variable ifqueue, which I
think refers to IFq. I output the number
ifqueue->length(), but found it is always zero, which
was reported in message
http://mailman.isi.edu/pipermail/ns-users/2002-December/027772.html.

The ns-2 AODV implementation does what both IP and
AODV do in the real world. So where is the (network
layer) buffering in ns-2 AODV implementation? (Note: I
am not talking about the packet caching that occurs
when AODV can't find a route.)

There is no notion of link in wireless networks. So I
think we cannot set the queue limit through "limit_".

Thanks.

- Leon

		
__________________________________ 
Celebrate Yahoo!'s 10th Birthday! 
Yahoo! Netrospective: 100 Moments of the Web 
http://birthday.yahoo.com/netrospective/

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet